Skip to main content
GET
/
v2
/
invoices
/
{id}
/
refunds
List Invoice Refunds
curl --request GET \
  --url https://api.paygentic.io/v2/invoices/{id}/refunds \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "invoice_refund",
      "id": "<string>",
      "invoiceId": "<string>",
      "merchantId": "<string>",
      "amount": "<string>",
      "taxAmount": "<string>",
      "total": "<string>",
      "currency": "<string>",
      "externalCreditNoteId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "permalink": "<string>",
      "pdfUrl": "<string>",
      "reason": "<string>",
      "voidedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The invoice ID

Response

List of refunds

object
enum<string>
required

The object type

Available options:
list
data
object[]
required

The refunds for this invoice